Loading...
Searching...
No Matches
Ogre::OctreeIntersectionSceneQuery Class Reference
Plugins » OctreeSceneManager

Octree implementation of IntersectionSceneQuery. More...

`#include <OgreOctreeSceneQuery.h>`

Inheritance diagram for Ogre::OctreeIntersectionSceneQuery:
[legend]

## Public Member Functions

| OctreeIntersectionSceneQuery (SceneManager *creator)
| ~OctreeIntersectionSceneQuery ()
void | execute (IntersectionSceneQueryListener *listener) override
| Executes the query and returns each match through a listener interface.
Public Member Functions inherited from Ogre::DefaultIntersectionSceneQuery
| DefaultIntersectionSceneQuery (SceneManager *creator)
| ~DefaultIntersectionSceneQuery ()
Public Member Functions inherited from Ogre::IntersectionSceneQuery
| IntersectionSceneQuery (SceneManager *mgr)
virtual | ~IntersectionSceneQuery ()
void | clearResults (void)
| Clears the results of the last query execution.
virtual IntersectionSceneQueryResult & | execute (void)
| Executes the query, returning the results back in one list.
virtual IntersectionSceneQueryResult & | getLastResults (void) const
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
bool | queryResult (MovableObject *first, MovableObject *second) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (MovableObject *movable, SceneQuery::WorldFragment *fragment) override
| Self-callback in order to deal with execute which returns collection.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask (void) const
| Returns the current mask for this query.
virtual uint32 | getQueryTypeMask (void) const
| Returns the current mask for this query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setQueryTypeMask (uint32 mask)
| Sets the type mask for results of this query.
Public Member Functions inherited from Ogre::IntersectionSceneQueryListener
virtual | ~IntersectionSceneQueryListener ()

## Additional Inherited Members

Public Types inherited from Ogre::SceneQuery
typedef Ogre::WorldFragment | WorldFragment

## Detailed Description

Octree implementation of IntersectionSceneQuery.

## Constructor & Destructor Documentation

## OctreeIntersectionSceneQuery()

Ogre::OctreeIntersectionSceneQuery::OctreeIntersectionSceneQuery | ( | SceneManager * | creator | ) |

## ~OctreeIntersectionSceneQuery()

Ogre::OctreeIntersectionSceneQuery::~OctreeIntersectionSceneQuery | ( |  | ) |

## Member Function Documentation

## execute()

void Ogre::OctreeIntersectionSceneQuery::execute | ( | IntersectionSceneQueryListener * | listener | ) |

override virtual

Executes the query and returns each match through a listener interface.

Note that this method does not store the results of the query internally so does not update the 'last result' value. This means that this version of execute is more lightweight and therefore more efficient than the version which returns the results as a collection.

Reimplemented from Ogre::DefaultIntersectionSceneQuery.

The documentation for this class was generated from the following file:

- OgreOctreeSceneQuery.h